petsc-3.4.2 2013-07-02

# MatAXPY

Computes Y = a*X + Y.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatAXPY(Mat Y,PetscScalar a,Mat X,MatStructure str)

Logically Collective on Mat

### Input Parameters

| a | - the scalar multiplier
| X | - the first matrix
| Y | - the second matrix
| str | - either SAME_NONZERO_PATTERN, DIFFERENT_NONZERO_PATTERN or SUBSET_NONZERO_PATTERN (nonzeros of X is a subset of Y's)

### Keywords

matrix, add

### See Also

MatAYPX()

Level:intermediate
Location:src/mat/utils/axpy.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex58.c.html
src/ts/examples/tutorials/ex23.c.html